# Guides

- [Model Deployment & Inferencing](https://docs.sea-lion.ai/guides/inferencing.md)
- [SEA-LION API](https://docs.sea-lion.ai/guides/inferencing/api.md)
- [Google Vertex AI](https://docs.sea-lion.ai/guides/inferencing/vertex_ai.md)
- [Amazon Bedrock Custom Model Import](https://docs.sea-lion.ai/guides/inferencing/amazon_bedrock.md)
- [Bedrock Access Gateway](https://docs.sea-lion.ai/guides/inferencing/bedrock_access_gateway.md)
- [vLLM on Linux](https://docs.sea-lion.ai/guides/inferencing/vllm_linux.md)
- [Cloudflare Workers AI](https://docs.sea-lion.ai/guides/inferencing/cloudflare.md)
- [Fine-tuning](https://docs.sea-lion.ai/guides/finetuning.md)
- [Example Use Cases](https://docs.sea-lion.ai/guides/use_cases.md)
- [Capabilities & Tool-Use](https://docs.sea-lion.ai/guides/tool_calling.md)
- [Tool Implementation Example](https://docs.sea-lion.ai/guides/tool_calling/tool_examples.md)
- [Agentic Frameworks](https://docs.sea-lion.ai/guides/agents.md)
- [Strands Agents SDK](https://docs.sea-lion.ai/guides/agents/strands_sdk.md)
- [Google ADK](https://docs.sea-lion.ai/guides/agents/google_adk.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.sea-lion.ai/guides.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
